#
# spec file for package python-cmdln (Version 1.1.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# nodebuginfo

%define _name cmdln
%define version 1.1.2
%define unmangled_version 1.1.2
%define release 1
Summary:        An improved cmd.py for Writing Multi-command Scripts and Shells

Name:           python-cmdln
Version:        %{version}
Release:        5.4
Source0:        %{_name}-%{unmangled_version}.tar.gz
License:        MIT License (or similar)
Group:          Development/Libraries/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}
BuildRequires:  python-devel python-setuptools
#BuildArch:   noarch
Url:            http://code.google.com/p/cmdln/

%description
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".	The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.



Authors:
--------
    Trent Mick <TrentM@ActiveState.com>

%prep
%setup -n %{_name}-%{unmangled_version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} \
   --root=$RPM_BUILD_ROOT \
%if %{defined suse_version}
   --record-rpm=INSTALLED_FILES
%else
# Fedora doesn't know/use --record-rpm
find $RPM_BUILD_ROOT -type f | sed "s,$RPM_BUILD_ROOT,," > INSTALLED_FILES
cat INSTALLED_FILES
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc LICENSE.txt README.txt docs/ examples/

%changelog
* Thu Nov 11 2010 poeml@cmdline.net
- enable building on Fedora 12-14 and CentOS 5
* Tue Sep 29 2009 poeml@suse.de
- update to 1.1.2 (Python 2.6 fixes)
- debianized package
* Fri Aug 28 2009 coolo@novell.com
- merge build service with factory
* Mon Jun  9 2008 poeml@suse.de
- don't make the "Release" tag a macro
* Thu May  1 2008 poeml@suse.de
- This package is not a noarch package -- fix the build.
* Thu Mar  6 2008 toms@suse.de
- Initial package 1.1.1
